use crate::components::event::{IntoEdit, Test};
use lan_party_core::event::EventSpec;
use log::debug;
use sycamore::prelude::*;

use crate::components::{
    event::{Edit, EditProps},
    Block, Button,
};

#[component]
pub fn EventsPage<'a, G: Html>(cx: Scope<'a>) -> View<G> {
    let event_spec = create_signal(cx, EventSpec::default());

    view! { cx,
        Block(title="Create new event".into()) {
            (event_spec.edit(cx))
            Button(icon="mdi-check".into(), onclick=move |_| debug!("{:#?}", event_spec.get()))
        }
    }
}
